MatrixData Class Reference

`#include <Spectrogram.h>`

Inheritance diagram for MatrixData:

## Public Member Functions

virtual QwtRasterData * | copy () const
| MatrixData (Matrix *m, bool useMatrixFormula=false)
virtual QwtDoubleInterval | range () const
virtual QSize | rasterHint (const QwtDoubleRect &) const
virtual double | value (double x, double y) const
| ~MatrixData ()

## Private Attributes

double * | d_cc
double * | d_cj
Matrix * | d_matrix
| Pointer to the source data matrix. More...
muParserScript * | d_mup
| Pointer to a muParserScript. More...
double * | d_ri
double * | d_rr
double * | d_x
| Pointers to internal variables of the muParserScript. More...
double * | d_y
double | dx
| Data resolution in x(columns) and y(rows) More...
double | dy
double | max_z
double | min_z
| Min and max values in the source data matrix. More...
int | n_cols
int | n_rows
| Data size. More...
double | x_start
| X axis left value in the data matrix. More...
double | y_start
| Y axis bottom value in the data matrix. More...

## Constructor & Destructor Documentation

## MatrixData()

MatrixData::MatrixData | ( | Matrix * | m,
|  | bool | useMatrixFormula = `false`
| ) |  |

inline

References Matrix::canCalculate(), Spectrogram::d_matrix, Matrix::dx(), Matrix::dy(), Matrix::formula(), Matrix::numCols(), Matrix::numRows(), Matrix::range(), scripted::scriptingEnv(), Spectrogram::useMatrixFormula(), Matrix::xStart(), and Matrix::yStart().

## ~MatrixData()

MatrixData::~MatrixData | ( |  | ) |

inline

## Member Function Documentation

## copy()

virtual QwtRasterData* MatrixData::copy | ( |  | ) | const

inline virtual

References Spectrogram::d_matrix.

Referenced by Spectrogram::renderImage().

## range()

virtual QwtDoubleInterval MatrixData::range | ( |  | ) | const

inline virtual

## rasterHint()

virtual QSize MatrixData::rasterHint | ( | const QwtDoubleRect & |  | ) | const

inline virtual

Referenced by Spectrogram::renderImage().

## value()

double MatrixData::value | ( | double | x,
|  | double | y
| ) |  | const

virtual

References Matrix::cell(), and Spectrogram::d_matrix.

Referenced by Spectrogram::renderImage().

## Member Data Documentation

## d_cc

double * MatrixData::d_cc

private

## d_cj

double * MatrixData::d_cj

private

## d_matrix

Matrix* MatrixData::d_matrix

private

Pointer to the source data matrix.

## d_mup

muParserScript* MatrixData::d_mup

private

Pointer to a muParserScript.

## d_ri

double * MatrixData::d_ri

private

## d_rr

double * MatrixData::d_rr

private

## d_x

double* MatrixData::d_x

private

Pointers to internal variables of the muParserScript.

## d_y

double * MatrixData::d_y

private

## dx

double MatrixData::dx

private

Data resolution in x(columns) and y(rows)

## dy

double MatrixData::dy

private

## max_z

double MatrixData::max_z

private

## min_z

double MatrixData::min_z

private

Min and max values in the source data matrix.

## n_cols

int MatrixData::n_cols

private

## n_rows

int MatrixData::n_rows

private

Data size.

## x_start

double MatrixData::x_start

private

X axis left value in the data matrix.

## y_start

double MatrixData::y_start

private

Y axis bottom value in the data matrix.

The documentation for this class was generated from the following files:

- qtiplot/src/plot2D/Spectrogram.h
- qtiplot/src/plot2D/Spectrogram.cpp